
![alt text](https://user-images.githubusercontent.com/14850001/66190489-67098d80-e68c-11e9-9a7c-35b82f6635e1.png)

[![Build Status](https://travis-ci.org/MTG/essentia.js.svg?branch=master)](https://travis-ci.org/MTG/essentia.js)
[![npm version](https://badge.fury.io/js/essentia.js.svg)](https://badge.fury.io/js/essentia.js)
[![License: AGPL v3](https://img.shields.io/badge/License-AGPL%20v3-blue.svg)](https://www.gnu.org/licenses/agpl-3.0)

JavaScript library for music/audio signal analysis and processing for both real-time and offline use-cases. The core of [`essentia.js`](/) is powered by [essentia C++ library](https://essentia.upf.edu) back-end using [WebAssembly](https://webassembly.org/) along with a high-level Typescript API and utility modules. ie, Now you can run state-of-the-art music/audio processing and analysis algorithms on your web-browser or Node.js applications with ease-of-use and better computational efficieny. `essentia.js` also provides additional high-level abstract JS interfaces such as `EssentiaExtractor` for one-line easy-to-use configurable feature extractor for selected features and `EssentiaPlot` for visualizing common music processing features directly into your HTML web page using Plotly.js library.

- Repository: [https://github.com/MTG/essentia.js](https://github.com/MTG/essentia.js)

- Releases: [https://github.com/MTG/essentia.js/releases](https://github.com/MTG/essentia.js/releases)

- License: [https://essentia.upf.edu/licensing_information.html](https://essentia.upf.edu/licensing_information.html)

- Documentation: [https://mtg.github.io/essentia.js/docs/api](https://mtg.github.io/essentia.js/docs/api/)
  
- Examples: [https://mtg.github.io/essentia.js/examples](https://mtg.github.io/essentia.js/examples)


> NOTE: Currently under active-development, some of the algorithms are not yet manually tested on the JavaScript front. Please submit the issues at https://github.com/MTG/essentia.js/issues.
